File 4 of 6. hardware_sql.sql

USE [master]
GO
/****** Object:  Database [hardware_sql]    Script Date: 02/18/2011 11:59:09 ******/
CREATE DATABASE [hardware_sql] ON  PRIMARY 
( NAME = N'hardware', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL.1\MSSQL\DATA\hardware.mdf' , SIZE = 3072KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'hardware_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL.1\MSSQL\DATA\hardware_log.ldf' , SIZE = 20480KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO
EXEC dbo.sp_dbcmptlevel @dbname=N'hardware_sql', @new_cmptlevel=90
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [hardware_sql].[dbo].[sp_fulltext_database] @action = 'disable'
end
GO
ALTER DATABASE [hardware_sql] SET ANSI_NULL_DEFAULT OFF
GO
ALTER DATABASE [hardware_sql] SET ANSI_NULLS OFF
GO
ALTER DATABASE [hardware_sql] SET ANSI_PADDING OFF
GO
ALTER DATABASE [hardware_sql] SET ANSI_WARNINGS OFF
GO
ALTER DATABASE [hardware_sql] SET ARITHABORT OFF
GO
ALTER DATABASE [hardware_sql] SET AUTO_CLOSE OFF
GO
ALTER DATABASE [hardware_sql] SET AUTO_CREATE_STATISTICS ON
GO
ALTER DATABASE [hardware_sql] SET AUTO_SHRINK OFF
GO
ALTER DATABASE [hardware_sql] SET AUTO_UPDATE_STATISTICS ON
GO
ALTER DATABASE [hardware_sql] SET CURSOR_CLOSE_ON_COMMIT OFF
GO
ALTER DATABASE [hardware_sql] SET CURSOR_DEFAULT  GLOBAL
GO
ALTER DATABASE [hardware_sql] SET CONCAT_NULL_YIELDS_NULL OFF
GO
ALTER DATABASE [hardware_sql] SET NUMERIC_ROUNDABORT OFF
GO
ALTER DATABASE [hardware_sql] SET QUOTED_IDENTIFIER OFF
GO
ALTER DATABASE [hardware_sql] SET RECURSIVE_TRIGGERS OFF
GO
ALTER DATABASE [hardware_sql] SET  ENABLE_BROKER
GO
ALTER DATABASE [hardware_sql] SET AUTO_UPDATE_STATISTICS_ASYNC OFF
GO
ALTER DATABASE [hardware_sql] SET DATE_CORRELATION_OPTIMIZATION OFF
GO
ALTER DATABASE [hardware_sql] SET TRUSTWORTHY OFF
GO
ALTER DATABASE [hardware_sql] SET ALLOW_SNAPSHOT_ISOLATION OFF
GO
ALTER DATABASE [hardware_sql] SET PARAMETERIZATION SIMPLE
GO
ALTER DATABASE [hardware_sql] SET  READ_WRITE
GO
ALTER DATABASE [hardware_sql] SET RECOVERY FULL
GO
ALTER DATABASE [hardware_sql] SET  MULTI_USER
GO
ALTER DATABASE [hardware_sql] SET PAGE_VERIFY CHECKSUM
GO
ALTER DATABASE [hardware_sql] SET DB_CHAINING OFF
GO
USE [hardware_sql]
GO
/****** Object:  Table [dbo].[hardware_tbl]    Script Date: 02/18/2011 11:59:09 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[hardware_tbl](
    [company] [varchar](128) NULL,
    [platform] [varchar](128) NULL,
    [processor] [varchar](128) NULL,
    [operating_system] [varchar](128) NULL,
    [memory] [varchar](128) NULL,
    [disk_space] [varchar](128) NULL
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO

INSERT INTO hardware_tbl (company, platform, processor, operating_system, memory, disk_space) VALUES ('ARBWRE','Windows','IBM-compatible PC with a Pentium IV processor','Vista','512 MB RAM','300 MB additional disk space')
INSERT INTO hardware_tbl (company, platform, processor, operating_system, memory, disk_space) VALUES ('ARBWRE','Unix','RISC-based processor','Sun Solaris 8 or 9','128 MB RAM','300 MB additional disk space')
INSERT INTO hardware_tbl (company, platform, processor, operating_system, memory, disk_space) VALUES ('TRU','Windows','IBM-compatible PC with a Pentium IV processor','XP Professional','1024 MB RAM','600 MB additional disk space')
INSERT INTO hardware_tbl (company, platform, processor, operating_system, memory, disk_space) VALUES ('ARBWRE','Windows','IBM-compatible PC with a Pentium IV processor','Win98','12','300 MB additional disk space')
INSERT INTO hardware_tbl (company, platform, processor, operating_system, memory, disk_space) VALUES ('ARBWRE','Windows','IBM-compatible PC with a Pentium IV processor','7 Ultimate','4 GB','600 MB additional disk space')
INSERT INTO hardware_tbl (company, platform, processor, operating_system, memory, disk_space) VALUES ('ARBWRE','Windows','IBM-compatible PC with a Pentium IV processor','7 Universe','1 <bold>TB</bold>','600 MB additional disk space')
GO
