File 6 of 6. sqlhardware.xsl


<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"

  xmlns:atidm="http://www.arbortext.com/namespace/DataMerge"
>

<xsl:output indent="yes" method="xml" encoding="UTF-8"/>

<xsl:param name="output-encoding">UTF-8</xsl:param>

<xsl:template match="/">
      <xsl:apply-templates/>
</xsl:template>

<xsl:template match="atidm:ResultSet">

  <table>
  <title>Results</title>
    <tgroup cols="4">
    <colspec colname="col1" colwidth="*"/>
    <colspec colname="col2" colwidth="*"/>
    <colspec colname="col3" colwidth="*"/>
    <colspec colname="col4" colwidth="*"/>
    <thead>
    <row>
    <entry>processor</entry>
    <entry>operating_system</entry>
    <entry>memory</entry>
    <entry>disk_space</entry>
    </row>
    </thead>
<tbody>
    <xsl:apply-templates/>
    </tbody>
  </tgroup>
  </table>

</xsl:template>

<xsl:template match="atidm:Row">
<row>
   <xsl:apply-templates/>
</row>
</xsl:template>

<xsl:template match="atidm:Header">
</xsl:template>

<xsl:template match="atidm:Value">
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="atidm:Column">
  <entry>
  <xsl:apply-templates/>
  </entry>
</xsl:template>


</xsl:stylesheet>